ApplicationDependencyManagementClientCompositeOperations

class oci.adm.ApplicationDependencyManagementClientCompositeOperations(client, **kwargs)

This class provides a wrapper around ApplicationDependencyManagementClient and offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionality

Methods:

__init__(client, **kwargs)

Creates a new ApplicationDependencyManagementClientCompositeOperations object

activate_remediation_recipe_and_wait_for_state(...)

Calls activate_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

cancel_remediation_run_and_wait_for_state(...)

Calls cancel_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

change_knowledge_base_compartment_and_wait_for_state(...)

Calls change_knowledge_base_compartment() and waits for the WorkRequest to enter the given state(s).

change_remediation_recipe_compartment_and_wait_for_state(...)

Calls change_remediation_recipe_compartment() and waits for the WorkRequest to enter the given state(s).

create_knowledge_base_and_wait_for_state(...)

Calls create_knowledge_base() and waits for the WorkRequest to enter the given state(s).

create_remediation_recipe_and_wait_for_state(...)

Calls create_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

create_remediation_run_and_wait_for_state(...)

Calls create_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

create_vulnerability_audit_and_wait_for_state(...)

Calls create_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

deactivate_remediation_recipe_and_wait_for_state(...)

Calls deactivate_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

delete_knowledge_base_and_wait_for_state(...)

Calls delete_knowledge_base() and waits for the WorkRequest to enter the given state(s).

delete_remediation_recipe_and_wait_for_state(...)

Calls delete_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

delete_remediation_run_and_wait_for_state(...)

Calls delete_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

delete_vulnerability_audit_and_wait_for_state(...)

Calls delete_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

update_knowledge_base_and_wait_for_state(...)

Calls update_knowledge_base() and waits for the WorkRequest to enter the given state(s).

update_remediation_recipe_and_wait_for_state(...)

Calls update_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

update_remediation_run_and_wait_for_state(...)

Calls update_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

update_vulnerability_audit_and_wait_for_state(...)

Calls update_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

__init__(client, **kwargs)

Creates a new ApplicationDependencyManagementClientCompositeOperations object

Parameters

client (ApplicationDependencyManagementClient) – The service client which will be wrapped by this object

activate_remediation_recipe_and_wait_for_state(remediation_recipe_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls activate_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

Parameters
  • remediation_recipe_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Remediation Recipe, as a URL path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to activate_remediation_recipe()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

cancel_remediation_run_and_wait_for_state(remediation_run_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls cancel_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

Parameters
  • remediation_run_id (str) – (required) Unique Remediation Run identifier path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to cancel_remediation_run()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

change_knowledge_base_compartment_and_wait_for_state(knowledge_base_id, change_knowledge_base_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls change_knowledge_base_compartment() and waits for the WorkRequest to enter the given state(s).

Parameters
  • knowledge_base_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Knowledge Base, as a URL path parameter.

  • change_knowledge_base_compartment_details (oci.adm.models.ChangeKnowledgeBaseCompartmentDetails) – (required) The information to be updated.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to change_knowledge_base_compartment()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

change_remediation_recipe_compartment_and_wait_for_state(remediation_recipe_id, change_remediation_recipe_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls change_remediation_recipe_compartment() and waits for the WorkRequest to enter the given state(s).

Parameters
  • remediation_recipe_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Remediation Recipe, as a URL path parameter.

  • change_remediation_recipe_compartment_details (oci.adm.models.ChangeRemediationRecipeCompartmentDetails) – (required) The information to be updated.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to change_remediation_recipe_compartment()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_knowledge_base_and_wait_for_state(create_knowledge_base_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_knowledge_base() and waits for the WorkRequest to enter the given state(s).

Parameters
  • create_knowledge_base_details (oci.adm.models.CreateKnowledgeBaseDetails) – (required) The details to create a new Knowledge Base.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_knowledge_base()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_remediation_recipe_and_wait_for_state(create_remediation_recipe_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

Parameters
  • create_remediation_recipe_details (oci.adm.models.CreateRemediationRecipeDetails) – (required) The details to create a new Remediation Recipe.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_remediation_recipe()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_remediation_run_and_wait_for_state(create_remediation_run_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

Parameters
  • create_remediation_run_details (oci.adm.models.CreateRemediationRunDetails) – (required) The details used to create a new remediation run.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_remediation_run()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

create_vulnerability_audit_and_wait_for_state(create_vulnerability_audit_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls create_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

Parameters
  • create_vulnerability_audit_details (oci.adm.models.CreateVulnerabilityAuditDetails) – (required) The details to create a new Vulnerability Audit.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to create_vulnerability_audit()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

deactivate_remediation_recipe_and_wait_for_state(remediation_recipe_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls deactivate_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

Parameters
  • remediation_recipe_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Remediation Recipe, as a URL path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to deactivate_remediation_recipe()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_knowledge_base_and_wait_for_state(knowledge_base_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_knowledge_base() and waits for the WorkRequest to enter the given state(s).

Parameters
  • knowledge_base_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Knowledge Base, as a URL path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_knowledge_base()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_remediation_recipe_and_wait_for_state(remediation_recipe_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

Parameters
  • remediation_recipe_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Remediation Recipe, as a URL path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_remediation_recipe()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_remediation_run_and_wait_for_state(remediation_run_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

Parameters
  • remediation_run_id (str) – (required) Unique Remediation Run identifier path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_remediation_run()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

delete_vulnerability_audit_and_wait_for_state(vulnerability_audit_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls delete_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

Parameters
  • vulnerability_audit_id (str) – (required) Unique Vulnerability Audit identifier path parameter.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to delete_vulnerability_audit()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_knowledge_base_and_wait_for_state(knowledge_base_id, update_knowledge_base_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_knowledge_base() and waits for the WorkRequest to enter the given state(s).

Parameters
  • knowledge_base_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Knowledge Base, as a URL path parameter.

  • update_knowledge_base_details (oci.adm.models.UpdateKnowledgeBaseDetails) – (required) The details to update a Knowledge Base.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_knowledge_base()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_remediation_recipe_and_wait_for_state(remediation_recipe_id, update_remediation_recipe_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_remediation_recipe() and waits for the WorkRequest to enter the given state(s).

Parameters
  • remediation_recipe_id (str) –

    (required) The Oracle Cloud Identifier (OCID) of a Remediation Recipe, as a URL path parameter.

  • update_remediation_recipe_details (oci.adm.models.UpdateRemediationRecipeDetails) – (required) The details to update a Remediation Recipe.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for status

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_remediation_recipe()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_remediation_run_and_wait_for_state(remediation_run_id, update_remediation_run_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_remediation_run() and waits for the RemediationRun acted upon to enter the given state(s).

Parameters
  • remediation_run_id (str) – (required) Unique Remediation Run identifier path parameter.

  • update_remediation_run_details (oci.adm.models.UpdateRemediationRunDetails) – (required) The details used to update a remediation run.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_remediation_run()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait

update_vulnerability_audit_and_wait_for_state(vulnerability_audit_id, update_vulnerability_audit_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})

Calls update_vulnerability_audit() and waits for the VulnerabilityAudit acted upon to enter the given state(s).

Parameters
  • vulnerability_audit_id (str) – (required) Unique Vulnerability Audit identifier path parameter.

  • update_vulnerability_audit_details (oci.adm.models.UpdateVulnerabilityAuditDetails) – (required) The details to update a Vulnerability Audit.

  • wait_for_states (list[str]) – An array of states to wait on. These should be valid values for lifecycle_state

  • operation_kwargs (dict) – A dictionary of keyword arguments to pass to update_vulnerability_audit()

  • waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the oci.wait_until() function. For example, you could pass max_interval_seconds or max_interval_seconds as dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait